aboutsummaryrefslogtreecommitdiffstats
path: root/meta-mel-support/recipes-core/meta/archive-release/runqemu.in
diff options
context:
space:
mode:
Diffstat (limited to 'meta-mel-support/recipes-core/meta/archive-release/runqemu.in')
-rwxr-xr-xmeta-mel-support/recipes-core/meta/archive-release/runqemu.in24
1 files changed, 0 insertions, 24 deletions
diff --git a/meta-mel-support/recipes-core/meta/archive-release/runqemu.in b/meta-mel-support/recipes-core/meta/archive-release/runqemu.in
deleted file mode 100755
index 302a650b..00000000
--- a/meta-mel-support/recipes-core/meta/archive-release/runqemu.in
+++ /dev/null
@@ -1,24 +0,0 @@
-#!/bin/sh
-
-# ---------------------------------------------------------------------------------------------------------------------
-# SPDX-License-Identifier: MIT
-# ---------------------------------------------------------------------------------------------------------------------
-
-scriptdir="$(cd "$(dirname "$0")" && pwd)"
-meldir="$(cd "$scriptdir/../../.." && pwd)"
-
-if ! which bitbake >/dev/null 2>&1; then
- if [ -e "$meldir/manifests" ] && ! [ -e "$meldir/meta-mentor" ]; then
- echo >&2 "Unable to run bitbake, please create a workspace by sourcing $meldir/setup-mel and then source the setup script: . <workspacedir>/meta-mentor/setup-environment"
- else
- echo >&2 "Unable to run bitbake, please source the setup script: . $meldir/meta-mentor/setup-environment"
- fi
- exit 1
-fi
-
-if ( eval $(bitbake -e | grep -E '^COMPONENTS_DIR='); ! [ -e "$COMPONENTS_DIR/x86_64/qemu-helper-native/usr/bin/tunctl" ] ); then
- echo >&2 "Unable to find tunctl binary, building qemu-helper-native.."
- bitbake qemu-helper-native:do_addto_recipe_sysroot
-fi
-
-exec "$meldir/oe-core/scripts/runqemu" "$(basename "${scriptdir%/*/*}")" "$scriptdir/"*.qemuboot.conf "$@"